/* 
html5doctor.com Reset Stylesheet
v1.6.1
Last Updated: 2010-09-17
Author: Richard Clark - http://richclarkdesign.com 
Twitter: @rich_clark
*/

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
    margin:0;
    padding:0;
    border:0;
    outline:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

body {
    line-height:1;
}

article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section { 
    display:block;
}

nav ul {
    list-style:none;
}

blockquote, q {
    quotes:none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content:'';
    content:none;
}

a {
    margin:0;
    padding:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

/* change colours to suit your needs */
ins {
    background-color:#ff9;
    color:#000;
    text-decoration:none;
}

/* change colours to suit your needs */
mark {
    background-color:#ff9;
    color:#000; 
    font-style:italic;
    font-weight:bold;
}

del {
    text-decoration: line-through;
}

abbr[title], dfn[title] {
    border-bottom:1px dotted;
    cursor:help;
}

table {
    border-collapse:collapse;
    border-spacing:0;
}

/* change border colour to suit your needs */
hr {
    display:block;
    height:1px;
    border:0;   
    border-top:1px solid #cccccc;
    margin:1em 0;
    padding:0;
}

input, select {
    vertical-align:middle;
}

a {
    text-decoration: none;
}














/*----------------------------- My Code ------------------------------------------*/
/* Nav Bar */
#nav-bar {
    height: 66px;
    display: flex;
    flex-direction: column;
}
.nav-header{
    display: flex;
    height: 100%;
    justify-content: space-between;
}
.nav-heading  {
    width: 20%;
    height: 24px;
    text-align: center;
    padding: 20px 0;
}
.nav-toggle{
    vertical-align: middle;
}

.nav-header h2,
.nav-toggle a{
    display: inline-block;
    width: 100%;
    height: 100%;
    line-height: 1.5em;
}
.nav-toggle, .nav-cart{
    width: auto;
} 
.nav-items {
    display: none;
}
.nav-cart,
.nav-toggle {
    width: 40px;
    padding: 20px;
}

/*------------------------------- Clothing section---------------------------------------*/
.clothing-heading {
    padding: 0;
    font-size: 1em;
}

/*   Mens clothing */

.clothing-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    list-style: none;
    height: auto;
    padding: 2vw;
    grid-column-gap: 4vw;
}
.clothing-list a {
    text-decoration: none;
    display: block;
    width: 45vw;
    height: 58vw;
    text-align: center;
}
.clothing-list a div{
    width:93%;
    height: 75%;
    margin: 0 auto;
    margin-bottom: 5%;
    
}
.clothing-list a p{
    margin-top: auto;
    padding: 0;
    
}






/*----------------------------------------- Media Quries -------------------------------------------------------*/
@media screen and (min-width: 768px){
    /* nav-bar */
    #nav-bar {
        height: 130px;
    }
    .nav-toggle a{
        display: none;
    }
    .nav-items {
        display: flex;
        width: auto;
        height: 100%;
        margin: 0 auto;
        justify-content: space-around;
    }

    .nav-items li {
        height: auto;
        padding: 10px;
        
    }
    .nav-items li a {
        height: 1em;
        line-height: 44px;
        padding: 10px;
    }
    /*-------------------- Clothing Section desktop-------------------------*/
    #section-clothing {
        display: grid;
        grid-auto-columns: repeat(2, 1fr);
        grid-row-gap: 40px;
    }
    #section-clothing>div {
        text-align: center;
    }
    
    .mens-wear {
        display: flex;
        flex-direction: column;
        grid-column: 1/3;
    }

    .clothing-banner {
        display: block;
        height: 320px;
        width: 100%;
    }
    .clothing-list {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        
    }
    .clothing-list a {
        text-decoration: none;
        display: block;
        width: 78%;
        height: 30vw;
        text-align: center;
        margin: 0 auto;
    }
    
    
    

}
